# DOSE: Disease Ontology Semantic and Enrichment analysis

[![](https://img.shields.io/badge/release%20version-3.18.1-green.svg)](https://www.bioconductor.org/packages/DOSE)
[![](https://img.shields.io/badge/devel%20version-3.19.3-green.svg)](https://github.com/guangchuangyu/DOSE)
[![Bioc](http://www.bioconductor.org/shields/years-in-bioc/DOSE.svg)](https://www.bioconductor.org/packages/devel/bioc/html/DOSE.html#since)
[![codecov](https://codecov.io/gh/GuangchuangYu/DOSE/branch/master/graph/badge.svg)](https://codecov.io/gh/GuangchuangYu/DOSE/)

[![Project Status: Active - The project has reached a stable, usable
state and is being actively
developed.](http://www.repostatus.org/badges/latest/active.svg)](http://www.repostatus.org/#active)
[![platform](http://www.bioconductor.org/shields/availability/devel/DOSE.svg)](https://www.bioconductor.org/packages/devel/bioc/html/DOSE.html#archives)
[![Build
Status](http://www.bioconductor.org/shields/build/devel/bioc/DOSE.svg)](https://bioconductor.org/checkResults/devel/bioc-LATEST/DOSE/)
[![Linux/Mac Travis Build
Status](https://img.shields.io/travis/GuangchuangYu/DOSE/master.svg?label=Mac%20OSX%20%26%20Linux)](https://travis-ci.org/GuangchuangYu/DOSE)
[![AppVeyor Build
Status](https://img.shields.io/appveyor/ci/Guangchuangyu/DOSE/master.svg?label=Windows)](https://ci.appveyor.com/project/GuangchuangYu/DOSE)

This package implements five methods proposed by Resnik, Schlicker,
Jiang, Lin and Wang respectively for measuring semantic similarities
among DO terms and gene products. Enrichment analyses including
hypergeometric model and gene set enrichment analysis are also
implemented for discovering disease associations of high-throughput
biological data.

For details, please visit
<https://yulab-smu.top/biomedical-knowledge-mining-book/>.

## :writing_hand: Authors

Guangchuang YU <https://yulab-smu.top>

School of Basic Medical Sciences, Southern Medical University

[![Twitter](https://img.shields.io/twitter/url/http/shields.io.svg?style=social&logo=twitter)](https://twitter.com/intent/tweet?hashtags=clusterProfiler&url=http://online.liebertpub.com/doi/abs/10.1089/omi.2011.0118&screen_name=guangchuangyu)
[![saythanks](https://img.shields.io/badge/say-thanks-ff69b4.svg)](https://saythanks.io/to/GuangchuangYu)
[![](https://img.shields.io/badge/follow%20me%20on-WeChat-green.svg)](https://guangchuangyu.github.io/blog_images/biobabble.jpg)

------------------------------------------------------------------------

Please cite the following article when using `DOSE`:

***G Yu***, LG Wang, GR Yan, QY He. DOSE: an R/Bioconductor package for
Disease Ontology Semantic and Enrichment analysis. ***Bioinformatics***
2015, 31(4):608-609.

[![](https://img.shields.io/badge/doi-10.1093/bioinformatics/btu684-green.svg)](https://doi.org/10.1093/bioinformatics/btu684)
[![](https://img.shields.io/badge/Altmetric-26-green.svg)](https://www.altmetric.com/details/2788597)

<!--

------------------------------------------------------------------------





### Download stats

r badge_download_bioc("DOSE")`
r badge_bioc_download("DOSE", "total", "blue")`
r badge_bioc_download("DOSE", "month", "blue")`

-->
